%CDPlusPlus_Builder_Version_1.0.0
#include(PNTModelV15.inc)
[top]
components : particle 
[particle] 
type : cell 
dim : (30,30,5)
delay : transport 
defaultDelayTime : 10 
border : wrapped 
neighbors : particle(-3,0,0)     
neighbors : particle(-2,-1,0) particle(-2,0,0) particle(-2,1,0) 
neighbors : particle(-1,-2,0) particle(-1,-1,0) particle(-1,0,0) particle(-1,1,0) particle(-1,2,0) 
neighbors : particle(0,-3,0) particle(0,-2,0) particle(0,-1,0) particle(0,0,0) particle(0,1,0) particle(0,2,0) particle(0,3,0) 
neighbors : particle(1,-2,0) particle(1,-1,0) particle(1,0,0) particle(1,1,0) particle(1,2,0) 
neighbors : particle(2,-1,0) particle(2,0,0) particle(2,1,0) 
neighbors : particle(3,0,0)     
neighbors : particle(-2,0,1)
neighbors : particle(-1,-1,1) particle(-1,0,1) particle(-1,1,1)
neighbors : particle(0,-2,1) particle(0,-1,1) particle(0,0,1) particle(0,1,1) particle(0,2,1)
neighbors : particle(1,-1,1) particle(1,0,1) particle(1,1,1)
neighbors : particle(2,0,1) 
neighbors : particle(-2,0,2) 
neighbors : particle(-1,-1,2) particle(-1,0,2) particle(-1,1,2)
neighbors : particle(0,-2,2) particle(0,-1,2) particle(0,0,2) particle(0,1,2) particle(0,2,2)
neighbors : particle(1,-1,2) particle(1,0,2) particle(1,1,2)
neighbors : particle(2,0,2)
neighbors : particle(-2,0,3)
neighbors : particle(-1,-1,3) particle(-1,0,3) particle(-1,1,3)
neighbors : particle(0,-2,3) particle(0,-1,3) particle(0,0,3) particle(0,1,3) particle(0,2,3)
neighbors : particle(1,-1,3) particle(1,0,3) particle(1,1,3)
neighbors : particle(2,0,3)
neighbors : particle(-2,0,4)
neighbors : particle(-1,-1,4) particle(-1,0,4) particle(-1,1,4)
neighbors : particle(0,-2,4) particle(0,-1,4) particle(0,0,4) particle(0,1,4) particle(0,2,4) 
neighbors : particle(1,-1,4) particle(1,0,4) particle(1,1,4)
neighbors : particle(2,0,4)
neighbors : particle(-2,0,5)
neighbors : particle(-1,-1,5) particle(-1,0,5) particle(-1,1,5)
neighbors : particle(0,-2,5) particle(0,-1,5) particle(0,0,5) particle(0,1,5) particle(0,2,5) 
neighbors : particle(1,-1,5) particle(1,0,5) particle(1,1,5)
neighbors : particle(2,0,5)
neighbors : particle(-2,0,-1)
neighbors : particle(-1,-1,-1) particle(-1,0,-1) particle(-1,1,-1)
neighbors : particle(0,-2,-1) particle(0,-1,-1) particle(0,0,-1) particle(0,1,-1) particle(0,2,-1) 
neighbors : particle(1,-1,-1) particle(1,0,-1) particle(1,1,-1)
neighbors : particle(2,0,-1)
initialvalue : 0 
initialCellsValue : PNTModelV15.val
localtransition : move-rule 
[move-rule]
%
% Rules for wall colour.
%
%   Set wall to yellow when action potential is occurring.
%
rule : 80 10 { #macro(CellIsInTopWallIncCorners) and #macro(DuringActionPotential) }
rule : 80 10 { #macro(CellIsInLeftWallNotIncCorners) and #macro(DuringActionPotential) }
rule : 80 10 { #macro(CellIsInRightWallNotIncCorners) and #macro(DuringActionPotential) }
rule : 80 10 { #macro(CellIsInBottomWallIncCorners) and #macro(DuringActionPotential) }
%
%   Set wall to black when action potential is not occurring.
%
rule : 50 10 { #macro(CellIsInTopWallIncCorners) and #macro(NotDuringActionPotential) }
rule : 50 10 { #macro(CellIsInLeftWallNotIncCorners) and #macro(NotDuringActionPotential) }
rule : 50 10 { #macro(CellIsInRightWallNotIncCorners) and #macro(NotDuringActionPotential) }
rule : 50 10 { #macro(CellIsInBottomWallIncCorners) and #macro(NotDuringActionPotential) }
%
% Rules for calcium ion channel colour.
%
%   Set calcium ion channel colour to closed value.
%
rule : 70 10 { #macro(CellIsInCaIonChannel) and #macro(CaIonChannelsAreClosed) }
%
%   Set calcium ion channel colour to open value.
%
rule : 75 10 { #macro(CellIsInCaIonChannel) and #macro(CaIonChannelsAreOpen) }
%
% Rules for creation of calcium ions at cells near calcium ion channels when they are open. 
%
rule : { (0,0,0) + trunc(uniform(0,6)) + 1 } 10 { #macro(CellIsAdjacentToCaIonChannel) and #macro(CaIonChannelsAreOpen) } 
rule : { (0,0,0) + trunc(uniform(0,5)) + 1 } 10 { #macro(CellIsNearCaIonChannel) and #macro(CaIonChannelsAreOpen) } 
%
% Rules for updating calcium ion concentration. Up to 3 calcium ions will be lost per time step for each cell. 
% The calcium ions do not 'see' any other particles (calcium ions are much smaller than any of the proteins or the Vesicles).
%
%   Update calcium ion concentration in corner cells (corner of the fluid inside the cell wall that is).
%
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0)           + (-1,0,0) + (0,-1,0)            )/3)) } 10 { #macro(CellIsSEFluidCornerForCalciumLayer) }
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) + (0,1,0)                       + (1,0,0)  )/3)) } 10 { #macro(CellIsNWFluidCornerForCalciumLayer) }
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) + (0,1,0) + (-1,0,0)                       )/3)) } 10 { #macro(CellIsSWFluidCornerForCalciumLayer) }
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) +                      (0,-1,0) + (1,0,0)  )/3)) } 10 { #macro(CellIsNEFluidCornerForCalciumLayer) }
%
%   Update calcium ion concentration cells along walls (edges of fluid next to wall, but not corners).
%
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0)           + (-1,0,0) + (0,-1,0) + (1,0,0)  )/4)) } 10 { #macro(CellIsBottomRowFluidForCalciumLayer) }
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) + (0,1,0)            + (0,-1,0) + (1,0,0)  )/4)) } 10 { #macro(CellIsTopRowFluidForCalciumLayer) }
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) + (0,1,0) + (-1,0,0)            + (1,0,0)  )/4)) } 10 { #macro(CellIsLeftRowFluidForCalciumLayer) }
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) + (0,1,0) + (-1,0,0) + (0,-1,0)            )/4)) } 10 { #macro(CellIsRightRowFluidForCalciumLayer) }
%
%   Update calcium ion concentration in rows or columns one closer to the centre than the rows and columns adjacent to the wall.
%
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) + (0,1,0) + (-1,0,0) + (0,-1,0) + (1,0,0)  )/5)) } 10 { #macro(CellIsFirstInnerSquareFluidForCalciumLayer) }
%
%   Update calcium ion concentration in rows or columns two closer to the centre than the rows and columns adjacent to the wall.
%
rule : { max(0,0 - round(uniform(0, 3)) + round(((0,0,0) + (0,1,0) + (-1,0,0) + (0,-1,0) + (1,0,0) +
                                      (-1,1,0)+ (-1,-1,0)+ (1,-1,0) + (1,1,0) + 
                                      (0,2,0) + (-2,0,0) + (0,-2,0) + (2,0,0) )/13)) } 10 { #macro(CellIsSecondInnerSquareFluidForCalciumLayer) }
%
%   Update calcium ion concentration in the central part of the grid.
%
rule : { max(0,0 - round(uniform(0, 3)) + round(((-3,0,0) +
                         (-2,-1,0) + (-2,0,0) + (-2,1,0) +
                         (-1,-2,0) + (-1,-1,0) + (-1,0,0) + (-1,1,0) + (-1,2,0) +
                         (0,-3,0) + (0,-2,0) + (0,-1,0) + (0,0,0) + (0,1,0) + (0,2,0) + (0,3,0) +
                         (1,-2,0) + (1,-1,0) + (1,0,0) + (1,1,0) + (1,2,0) + 
                         (2,-1,0) + (2,0,0) + (2,1,0) +
                         (3,0,0) )/25)) } 10 { #macro(CellIsInteriorFluidForCalciumLayer) }
%
% Rule for remaining interior cells in calcium layer where calcium ion concentration does not change for this step. 
%
rule : { (0,0,0) } 10 { cellPos(2) = 2 }
%
% Rule specifically for stationary Vesicles to change status.
%
%   Cell is a stationary Vesicle but is no longer attached to any Synapsin. Convert to moving Vesicle.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsStationaryVesicleNotInCluster) }
%
% Rules for an already docked Vesicle.
%
rule : 0 10 { #macro(CellIsDockedVesicle) and #macro(HighCalciumContentForVesicle) }
rule : 1420 10 { #macro(CellIsInActiveZone) and #macro(CellToNIsDocked) and #macro(HighCalciumContentForVesicleToN) }
rule : 60 10 { #macro(CellIsInActiveZone) } 
rule : { (0,0,0) } 10 { #macro(CellIsDockedVesicle) }
%
% Rules for a Vesicle or an Empty Vesicle with stationary Synapsin 'in front'.
%
%   Cell is a Vesicle or an Empty Vesicle from east and there is a stationary Synapsin 'in front'.
%
rule : 1490 10 { #macro(CellIsVesicleFromE) and #macro(CellToWIsStationarySynapsin) }
rule : 1494 10 { #macro(CellIsEmptyVesicleFromE) and #macro(CellToWIsStationarySynapsin) }
%
%   Cell is a Vesicle or an Empty Vesicle from north and there is a stationary Synapsin 'in front'.
%
rule : 1490 10 { #macro(CellIsVesicleFromN) and #macro(CellToSIsStationarySynapsin) }
rule : 1494 10 { #macro(CellIsEmptyVesicleFromN) and #macro(CellToSIsStationarySynapsin) }
%
%   Cell is a Vesicle or an Empty Vesicle from west and there is a stationary Synapsin 'in front'.
%
rule : 1490 10 { #macro(CellIsVesicleFromW) and #macro(CellToEIsStationarySynapsin) }
rule : 1494 10 { #macro(CellIsEmptyVesicleFromW) and #macro(CellToEIsStationarySynapsin) }
%
%   Cell is a Vesicle or an Empty Vesicle from south and there is a stationary Synapsin 'in front'.
%
rule : 1490 10 { #macro(CellIsVesicleFromS) and #macro(CellToNIsStationarySynapsin) }
rule : 1494 10 { #macro(CellIsEmptyVesicleFromS) and #macro(CellToNIsStationarySynapsin) }
%
% Rules for a Vesicle or Empty Vesicle when the cell 'in front' is Fluid.
%
%   Cell is a Vesicle or Empty Vesicle from east. Cell to west is Fluid. There are three other approaching particles to the Fluid.
%
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromE) or #macro(CellIsEmptyVesicleFromE)) and #macro(CellToWIsFluid) and
              #macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromWAtW) and #macro(ApproachingVesicleFromSAtW) and
              #macro(FromEWinsOverNWSAtW) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromE) and #macro(CellToWIsFluid) and
              #macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromWAtW) and #macro(ApproachingVesicleFromSAtW) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromE) and #macro(CellToWIsFluid) and
              #macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromWAtW) and #macro(ApproachingVesicleFromSAtW) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromE) or #macro(CellIsEmptyVesicleFromE)) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromWAtW) and 
              #macro(FromEWinsOverNWAtW)) or 
             (#macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromSAtW) and 
              #macro(FromEWinsOverNSAtW)) or
             (#macro(ApproachingVesicleFromWAtW) and #macro(ApproachingVesicleFromSAtW) and 
              #macro(FromEWinsOverWSAtW))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromE) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromWAtW)) or 
             (#macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromSAtW)) or
             (#macro(ApproachingVesicleFromWAtW) and #macro(ApproachingVesicleFromSAtW))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromE) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromWAtW)) or 
             (#macro(ApproachingVesicleFromNAtW) and #macro(ApproachingVesicleFromSAtW)) or
             (#macro(ApproachingVesicleFromWAtW) and #macro(ApproachingVesicleFromSAtW))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromE) or #macro(CellIsEmptyVesicleFromE)) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingVesicleFromNAtW) and 
              #macro(FromEWinsOverNAtW)) or 
             (#macro(ApproachingVesicleFromWAtW) and 
              #macro(FromEWinsOverWAtW)) or
             (#macro(ApproachingVesicleFromSAtW) and 
              #macro(FromEWinsOverSAtW))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromE) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingVesicleFromNAtW) or #macro(ApproachingVesicleFromWAtW) or #macro(ApproachingVesicleFromSAtW))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromE) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingVesicleFromNAtW) or #macro(ApproachingVesicleFromWAtW) or #macro(ApproachingVesicleFromSAtW))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromE) or #macro(CellIsEmptyVesicleFromE)) and #macro(CellToWIsFluid) } 
%
%   Cell is a Vesicle or Empty Vesicle from north. Cell to south is Fluid. There are three other approaching particles to the Fluid.
%
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromN) or #macro(CellIsEmptyVesicleFromN)) and #macro(CellToSIsFluid) and
              #macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromWAtS) and #macro(ApproachingVesicleFromSAtS) and
              #macro(FromNWinsOverEWSAtS) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromN) and #macro(CellToSIsFluid) and
              #macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromWAtS) and #macro(ApproachingVesicleFromSAtS) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromN) and #macro(CellToSIsFluid) and
              #macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromWAtS) and #macro(ApproachingVesicleFromSAtS) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromN) or #macro(CellIsEmptyVesicleFromN)) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromWAtS) and 
              #macro(FromNWinsOverEWAtS)) or 
             (#macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromSAtS) and 
              #macro(FromNWinsOverESAtS)) or
             (#macro(ApproachingVesicleFromWAtS) and #macro(ApproachingVesicleFromSAtS) and 
              #macro(FromNWinsOverWSAtS))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromN) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromWAtS)) or 
             (#macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromSAtS)) or
             (#macro(ApproachingVesicleFromWAtS) and #macro(ApproachingVesicleFromSAtS))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromN) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromWAtS)) or 
             (#macro(ApproachingVesicleFromEAtS) and #macro(ApproachingVesicleFromSAtS)) or
             (#macro(ApproachingVesicleFromWAtS) and #macro(ApproachingVesicleFromSAtS))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromN) or #macro(CellIsEmptyVesicleFromN)) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingVesicleFromEAtS) and 
              #macro(FromNWinsOverEAtS)) or 
             (#macro(ApproachingVesicleFromWAtS) and 
              #macro(FromNWinsOverWAtS)) or
             (#macro(ApproachingVesicleFromSAtS) and 
              #macro(FromNWinsOverSAtS))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromN) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingVesicleFromEAtS) or #macro(ApproachingVesicleFromWAtS) or #macro(ApproachingVesicleFromSAtS))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromN) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingVesicleFromEAtS) or #macro(ApproachingVesicleFromWAtS) or #macro(ApproachingVesicleFromSAtS))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromN) or #macro(CellIsEmptyVesicleFromN)) and #macro(CellToSIsFluid) } 
%
%   Cell is a Vesicle or Empty Vesicle from west. Cell to east is Fluid. There are three other approaching particles to the Fluid.
%
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromW) or #macro(CellIsEmptyVesicleFromW)) and #macro(CellToEIsFluid) and 
              #macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromNAtE) and #macro(ApproachingVesicleFromSAtE) and
              #macro(FromWWinsOverENSAtE) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromW) and #macro(CellToEIsFluid) and 
              #macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromNAtE) and #macro(ApproachingVesicleFromSAtE) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromW) and #macro(CellToEIsFluid) and 
              #macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromNAtE) and #macro(ApproachingVesicleFromSAtE) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromW) or #macro(CellIsEmptyVesicleFromW)) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromNAtE) and 
              #macro(FromWWinsOverENAtE)) or 
             (#macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromSAtE) and 
              #macro(FromWWinsOverESAtE)) or
             (#macro(ApproachingVesicleFromNAtE) and #macro(ApproachingVesicleFromSAtE) and 
              #macro(FromWWinsOverNSAtE))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromW) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromNAtE)) or 
             (#macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromSAtE)) or
             (#macro(ApproachingVesicleFromNAtE) and #macro(ApproachingVesicleFromSAtE))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromW) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromNAtE)) or 
             (#macro(ApproachingVesicleFromEAtE) and #macro(ApproachingVesicleFromSAtE)) or
             (#macro(ApproachingVesicleFromNAtE) and #macro(ApproachingVesicleFromSAtE))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromW) or #macro(CellIsEmptyVesicleFromW)) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingVesicleFromEAtE) and 
              #macro(FromWWinsOverEAtE)) or 
             (#macro(ApproachingVesicleFromNAtE) and
              #macro(FromWWinsOverNAtE)) or
             (#macro(ApproachingVesicleFromSAtE) and 
              #macro(FromWWinsOverSAtE))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromW) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingVesicleFromEAtE) or #macro(ApproachingVesicleFromNAtE) or #macro(ApproachingVesicleFromSAtE))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromW) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingVesicleFromEAtE) or #macro(ApproachingVesicleFromNAtE) or #macro(ApproachingVesicleFromSAtE))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromW) or #macro(CellIsEmptyVesicleFromW)) and #macro(CellToEIsFluid) }
%
%   Cell is a Vesicle or Empty Vesicle from south. Cell to north is Fluid.
%
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromS) or #macro(CellIsEmptyVesicleFromS)) and #macro(CellToNIsFluid) and
              #macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromNAtN) and #macro(ApproachingVesicleFromWAtN) and
              #macro(FromSWinsOverENWAtN) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromS) and #macro(CellToNIsFluid) and
              #macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromNAtN) and #macro(ApproachingVesicleFromWAtN) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromS) and #macro(CellToNIsFluid) and
              #macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromNAtN) and #macro(ApproachingVesicleFromWAtN) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromS) or #macro(CellIsEmptyVesicleFromS)) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromNAtN) and 
              #macro(FromSWinsOverENAtN)) or 
             (#macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromWAtN) and 
              #macro(FromSWinsOverEWAtN)) or
             (#macro(ApproachingVesicleFromNAtN) and #macro(ApproachingVesicleFromWAtN) and 
              #macro(FromSWinsOverNWAtN))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromS) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromNAtN)) or 
             (#macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromWAtN)) or
             (#macro(ApproachingVesicleFromNAtN) and #macro(ApproachingVesicleFromWAtN))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromS) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromNAtN)) or 
             (#macro(ApproachingVesicleFromEAtN) and #macro(ApproachingVesicleFromWAtN)) or
             (#macro(ApproachingVesicleFromNAtN) and #macro(ApproachingVesicleFromWAtN))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromS) or #macro(CellIsEmptyVesicleFromS)) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingVesicleFromEAtN) and 
              #macro(FromSWinsOverEAtN)) or 
             (#macro(ApproachingVesicleFromNAtN) and 
              #macro(FromSWinsOverNAtN)) or
             (#macro(ApproachingVesicleFromWAtN) and 
              #macro(FromSWinsOverWAtN))) }
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromS) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingVesicleFromEAtN) or #macro(ApproachingVesicleFromNAtN) or #macro(ApproachingVesicleFromWAtN))) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromS) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingVesicleFromEAtN) or #macro(ApproachingVesicleFromNAtN) or #macro(ApproachingVesicleFromWAtN))) }
rule : 0 10 { #macro(StepDivisibleByFour) and (#macro(CellIsVesicleFromS) or #macro(CellIsEmptyVesicleFromS)) and #macro(CellToNIsFluid) }
%
% Rules for a Vesicle or Empty Vesicle with a particle 'in front'.
%
%   Cell is a Vesicle or an Empty Vesicle from east and there is a particle 'in front'.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromE) and #macro(CellToWIsNotFluid)}
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromE) and #macro(CellToWIsNotFluid) }
%
%   Cell is a Vesicle or an Empty Vesicle from north and there is a particle 'in front'.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromN) and #macro(CellToSIsNotFluid) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromN) and #macro(CellToSIsNotFluid) }
%
%   Cell is a Vesicle or an Empty Vesicle from west and there is a particle 'in front'.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromW) and #macro(CellToEIsNotFluid) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromW) and #macro(CellToEIsNotFluid) }
%
%   Cell is a Vesicle or an Empty Vesicle from south and there is a particle 'in front'.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsVesicleFromS) and #macro(CellToNIsNotFluid) }
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsEmptyVesicleFromS) and #macro(CellToNIsNotFluid) }
%
% Rules for a Fluid when a Vesicle or Empty Vesicle is approaching.
%
%   Cell is Fluid. East is an approaching Vesicle. East wins right to advance over other Vesicles.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingVesicleFromE) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverNWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromEWinsOverNW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverNS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromEWinsOverN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromEWinsOverW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverS)) or
               t ) } 
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingEmptyVesicleFromE) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverNWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromEWinsOverNW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverNS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromEWinsOverN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromEWinsOverW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromEWinsOverS)) or
               t ) } 
%
%   Cell is Fluid. North is an approaching Vesicle. North wins right to advance over other Vesicles.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingVesicleFromN) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverEWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromNWinsOverEW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverES)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and 
               #macro(FromNWinsOverE)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromNWinsOverW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverS)) or
               t ) } 
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingEmptyVesicleFromN) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverEWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromNWinsOverEW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverES)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverWS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and 
               #macro(FromNWinsOverE)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromNWinsOverW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromNWinsOverS)) or
               t ) } 
%
%   Cell is Fluid. West is an approaching Vesicle. West wins right to advance over other Vesicles.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingVesicleFromW) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverENS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromWWinsOverEN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverES)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverNS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and 
               #macro(FromWWinsOverE)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromWWinsOverN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverS)) or
               t ) } 
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingEmptyVesicleFromW) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverENS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromWWinsOverEN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverES)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverNS)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and 
               #macro(FromWWinsOverE)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromWWinsOverN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromS) and 
               #macro(FromWWinsOverS)) or
               t ) } 
%
%   Cell is Fluid. South is an approaching Vesicle. South wins right to advance over other Vesicles.
%
rule : { 1410 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingVesicleFromS) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverENW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromSWinsOverEN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverEW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverNW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and 
               #macro(FromSWinsOverE)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromSWinsOverN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverW)) or
               t ) } 
rule : { 1414 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsFluid) and #macro(ApproachingEmptyVesicleFromS) and (
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverENW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromSWinsOverEN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverEW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and #macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverNW)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromE) and 
               #macro(FromSWinsOverE)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromN) and 
               #macro(FromSWinsOverN)) or
              (#macro(ApproachingVesicleOrEmptyVesicleFromW) and 
               #macro(FromSWinsOverW)) or
               t ) } 
%
% Rules for a moving particle other than a Vesicle or Empty Vesicle when a Vesicle or Empty Vesicle is approaching the cell 'in front' which is Fluid.
%
%   Cell is a particle from east other than a Vesicle or Empty Vesicle. Cell to west is Fluid. A Vesicle or Empty Vesicle is approaching the Fluid.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsSynapsinFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsPhosphorylatedSynapsinFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtW) }   
%
%   Cell is a particle from north other than a Vesicle or Empty Vesicle. Cell to south is Fluid. A Vesicle or Empty Vesicle is approaching the Fluid.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsSynapsinFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsPhosphorylatedSynapsinFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtS) }   
%
%   Cell is a particle from west other than a Vesicle or Empty Vesicle. Cell to east is Fluid. A Vesicle or Empty Vesicle is approaching the Fluid.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsSynapsinFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsPhosphorylatedSynapsinFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtE) }   
%
%   Cell is a particle from south other than a Vesicle or Empty Vesicle. Cell to north is Fluid. A Vesicle or Empty Vesicle is approaching the Fluid.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsSynapsinFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsPhosphorylatedSynapsinFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByFour) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) and #macro(ApproachingVesicleOrEmptyVesicleAtN) }   
%
% Rule for stationary Vesicles.
%
rule : { (0,0,0) } 10 { #macro(CellIsStationaryVesicle) }
%
% Rule for BeatFour particles for other steps.
%
rule : { (0,0,0) } 10 { #macro(CellIsBeatFour) }
%
% Rules for a stationary Synapsin. It is phosphorylated. Step is even.
%
%   Cell is a stationary Synapsin. It is bumped into by a Bound (or Trapped or Autonomous or Capped). The Synapsin is phosphorylated. Step is even.
%
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsStationarySynapsin) and (
                                     (#macro(ApproachingBoundFromE) and #macro(BoundFromEPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingBoundFromN) and #macro(BoundFromNPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingBoundFromW) and #macro(BoundFromWPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingBoundFromS) and #macro(BoundFromSPhosphorylatesSynapsin))) }                           
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsStationarySynapsin) and (
                                     (#macro(ApproachingTrappedFromE) and #macro(TrappedFromEPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingTrappedFromN) and #macro(TrappedFromNPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingTrappedFromW) and #macro(TrappedFromWPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingTrappedFromS) and #macro(TrappedFromSPhosphorylatesSynapsin))) }                           
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsStationarySynapsin) and (
                                     (#macro(ApproachingAutonomousFromE) and #macro(AutonomousFromEPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingAutonomousFromN) and #macro(AutonomousFromNPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingAutonomousFromW) and #macro(AutonomousFromWPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingAutonomousFromS) and #macro(AutonomousFromSPhosphorylatesSynapsin))) }                           
rule : { 2214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsStationarySynapsin) and (
                                     (#macro(ApproachingCappedFromE) and #macro(CappedFromEPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingCappedFromN) and #macro(CappedFromNPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingCappedFromW) and #macro(CappedFromWPhosphorylatesSynapsin)) or                           
                                     (#macro(ApproachingCappedFromS) and #macro(CappedFromSPhosphorylatesSynapsin))) }                           
%
% Rules for a Phosphorylated Synapsin to dephosphorylate when it loses right to advance. Step is even.
%
%   Cell is a Phosphorylated Synapsin from east. Cell to west is Fluid. Cell loses at west to three particles at least one of which is a PP. 
%   A PP moves into Fluid at west. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromE) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingPPFromNAtW) and #macro(FromNWinsOverEWSAtW) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromWAtW) and #macro(ApproachingPhosphorylatedSynapsinFromSAtW) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverWSAtW)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromWAtW) and #macro(ApproachingBeatTwoFromSAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverWAtW)) or
                (#macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingPhosphorylatedSynapsinFromSAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverSAtW)) or
                (#macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)))) or
             (#macro(ApproachingPPFromWAtW) and #macro(FromWWinsOverENSAtW) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtW) and #macro(ApproachingPhosphorylatedSynapsinFromSAtW) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverNSAtW)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverNAtW)) or
                (#macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingPhosphorylatedSynapsinFromSAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverSAtW)) or
                (#macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)))) or 
             (#macro(ApproachingPPFromSAtW) and #macro(FromSWinsOverENWAtW) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtW) and #macro(ApproachingPhosphorylatedSynapsinFromWAtW) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverNWAtW)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverNAtW)) or
                (#macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingPhosphorylatedSynapsinFromWAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverWAtW)) or
                (#macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW))))) }
%
%   Cell is a Phosphorylated Synapsin from east. Cell to west is Fluid. Cell loses at west to two particles at least one of which is a PP. 
%   A PP moves into Fluid at west. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromE) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingPPFromNAtW) and (
                (#macro(FromNWinsOverEWAtW) and #macro(ApproachingPhosphorylatedSynapsinFromWAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverWAtW)) or
                (#macro(FromNWinsOverEWAtW) and #macro(ApproachingBeatTwoFromWAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)) or
                (#macro(FromNWinsOverESAtW) and #macro(ApproachingPhosphorylatedSynapsinFromSAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverSAtW)) or
                (#macro(FromNWinsOverESAtW) and #macro(ApproachingBeatTwoFromSAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)))) or
             (#macro(ApproachingPPFromWAtW) and ( 
                (#macro(FromWWinsOverENAtW) and #macro(ApproachingPhosphorylatedSynapsinFromNAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverNAtW)) or
                (#macro(FromWWinsOverENAtW) and #macro(ApproachingBeatTwoFromNAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)) or
                (#macro(FromWWinsOverESAtW) and #macro(ApproachingPhosphorylatedSynapsinFromSAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverSAtW)) or
                (#macro(FromWWinsOverESAtW) and #macro(ApproachingBeatTwoFromSAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)))) or
             (#macro(ApproachingPPFromSAtW) and (
                (#macro(FromSWinsOverENAtW) and #macro(ApproachingPhosphorylatedSynapsinFromNAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverNAtW)) or
                (#macro(FromSWinsOverENAtW) and #macro(ApproachingBeatTwoFromNAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)) or
                (#macro(FromSWinsOverEWAtW) and #macro(ApproachingPhosphorylatedSynapsinFromWAtW) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtW) and #macro(PhosphorylatedSynapsinToEChosenOverWAtW)) or
                (#macro(FromSWinsOverEWAtW) and #macro(ApproachingBeatTwoFromWAtW) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW))))) }               
%
%   Cell is a Phosphorylated Synapsin from east. Cell to west is Fluid. Cell loses at west to one particle which is a PP. 
%   There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromE) and #macro(CellToWIsFluid) and (
             (#macro(ApproachingPPFromNAtW) and #macro(FromNWinsOverEAtW) and               
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)) or
             (#macro(ApproachingPPFromWAtW) and #macro(FromWWinsOverEAtW) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW)) or
             (#macro(ApproachingPPFromSAtW) and #macro(FromSWinsOverEAtW) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtW))) }
%
%   Cell is a Phosphorylated Synapsin from north. Cell to south is Fluid. Cell loses at south to three particles at least one of which is a PP. 
%   A PP moves into Fluid at south. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromN) and #macro(CellToSIsFluid) and ( 
             (#macro(ApproachingPPFromEAtS) and #macro(FromEWinsOverNWSAtS) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromWAtS) and #macro(ApproachingPhosphorylatedSynapsinFromSAtS) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverWSAtS)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromWAtS) and #macro(ApproachingBeatTwoFromSAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverWAtS)) or
                (#macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingPhosphorylatedSynapsinFromSAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverSAtS)) or
                (#macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)))) or
             (#macro(ApproachingPPFromWAtS) and #macro(FromWWinsOverENSAtS) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtS) and #macro(ApproachingPhosphorylatedSynapsinFromSAtS) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverESAtS)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverEAtS)) or
                (#macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingPhosphorylatedSynapsinFromSAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverSAtS)) or
                (#macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)))) or 
             (#macro(ApproachingPPFromSAtS) and #macro(FromSWinsOverENWAtS) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtS) and #macro(ApproachingPhosphorylatedSynapsinFromWAtS) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverEWAtS)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverEAtS)) or
                (#macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingPhosphorylatedSynapsinFromWAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverWAtS)) or
                (#macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS))))) }
%
%   Cell is a Phosphorylated Synapsin from north. Cell to south is Fluid. Cell loses at south to two particles at least one of which is a PP. 
%   A PP moves into Fluid at south. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromN) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingPPFromEAtS) and ( 
                (#macro(FromEWinsOverNWAtS) and #macro(ApproachingPhosphorylatedSynapsinFromWAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverWAtS)) or
                (#macro(FromEWinsOverNWAtS) and #macro(ApproachingBeatTwoFromWAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)) or
                (#macro(FromEWinsOverNSAtS) and #macro(ApproachingPhosphorylatedSynapsinFromSAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverSAtS)) or
                (#macro(FromEWinsOverNSAtS) and #macro(ApproachingBeatTwoFromSAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)))) or
             (#macro(ApproachingPPFromWAtS) and (
                (#macro(FromWWinsOverENAtS) and #macro(ApproachingPhosphorylatedSynapsinFromEAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverEAtS)) or
                (#macro(FromWWinsOverENAtS) and #macro(ApproachingBeatTwoFromEAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)) or
                (#macro(FromWWinsOverNSAtS) and #macro(ApproachingPhosphorylatedSynapsinFromSAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverSAtS)) or
                (#macro(FromWWinsOverNSAtS) and #macro(ApproachingBeatTwoFromSAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)))) or
             (#macro(ApproachingPPFromSAtS) and (
                (#macro(FromSWinsOverENAtS) and #macro(ApproachingPhosphorylatedSynapsinFromEAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverEAtS)) or
                (#macro(FromSWinsOverENAtS) and #macro(ApproachingBeatTwoFromEAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)) or
                (#macro(FromSWinsOverNWAtS) and #macro(ApproachingPhosphorylatedSynapsinFromWAtS) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtS) and #macro(PhosphorylatedSynapsinToNChosenOverWAtS)) or
                (#macro(FromSWinsOverNWAtS) and #macro(ApproachingBeatTwoFromWAtS) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS))))) }               
%
%   Cell is a Phosphorylated Synapsin from north. Cell to south is Fluid. Cell loses at south to one particle which is a PP. 
%   There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromN) and #macro(CellToSIsFluid) and (
             (#macro(ApproachingPPFromEAtS) and #macro(FromEWinsOverNAtS) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)) or
             (#macro(ApproachingPPFromWAtS) and #macro(FromWWinsOverNAtS) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS)) or
             (#macro(ApproachingPPFromSAtS) and #macro(FromSWinsOverNAtS) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtS))) }
%
%   Cell is a Phosphorylated Synapsin from west. Cell to east is Fluid. Cell loses at east to three particles at least one of which is a PP. 
%   A PP moves into Fluid at east. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromW) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingPPFromEAtE) and #macro(FromEWinsOverNWSAtE) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtE) and #macro(ApproachingPhosphorylatedSynapsinFromSAtE) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverNSAtE)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtE) and #macro(ApproachingBeatTwoFromSAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverNAtE)) or
                (#macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingPhosphorylatedSynapsinFromSAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverSAtE)) or
                (#macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)))) or
             (#macro(ApproachingPPFromNAtE) and #macro(FromNWinsOverEWSAtE) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtE) and #macro(ApproachingPhosphorylatedSynapsinFromSAtE) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverESAtE)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverEAtE)) or
                (#macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingPhosphorylatedSynapsinFromSAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverSAtE)) or
                (#macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)))) or 
             (#macro(ApproachingPPFromSAtE) and #macro(FromSWinsOverENWAtE) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtE) and #macro(ApproachingPhosphorylatedSynapsinFromNAtE) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverENAtE)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverEAtE)) or
                (#macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingPhosphorylatedSynapsinFromNAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverNAtE)) or
                (#macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE))))) }
%
%   Cell is a Phosphorylated Synapsin from west. Cell to east is Fluid. Cell loses at east to two particles at least one of which is a PP. 
%   A PP moves into Fluid at east. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromW) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingPPFromEAtE) and (
                (#macro(FromEWinsOverNWAtE) and #macro(ApproachingPhosphorylatedSynapsinFromNAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverNAtE)) or
                (#macro(FromEWinsOverNWAtE) and #macro(ApproachingBeatTwoFromNAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)) or
                (#macro(FromEWinsOverWSAtE) and #macro(ApproachingPhosphorylatedSynapsinFromSAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverSAtE)) or
                (#macro(FromEWinsOverWSAtE) and #macro(ApproachingBeatTwoFromSAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE) and #macro(PhosphorylatedSynapsinToWChosenOverSAtE)))) or
             (#macro(ApproachingPPFromNAtE) and ( 
                (#macro(FromNWinsOverEWAtE) and #macro(ApproachingPhosphorylatedSynapsinFromEAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverEAtE)) or
                (#macro(FromNWinsOverEWAtE) and #macro(ApproachingBeatTwoFromEAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)) or
                (#macro(FromNWinsOverWSAtE) and #macro(ApproachingPhosphorylatedSynapsinFromSAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverSAtE)) or
                (#macro(FromNWinsOverWSAtE) and #macro(ApproachingBeatTwoFromSAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)))) or
             (#macro(ApproachingPPFromSAtE) and (
                (#macro(FromSWinsOverEWAtE) and #macro(ApproachingPhosphorylatedSynapsinFromEAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverEAtE)) or
                (#macro(FromSWinsOverEWAtE) and #macro(ApproachingBeatTwoFromEAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)) or
                (#macro(FromSWinsOverNWAtE) and #macro(ApproachingPhosphorylatedSynapsinFromNAtE) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtE) and #macro(PhosphorylatedSynapsinToWChosenOverNAtE)) or
                (#macro(FromSWinsOverNWAtE) and #macro(ApproachingBeatTwoFromNAtE) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE))))) }               
%
%   Cell is a Phosphorylated Synapsin from west. Cell to east is Fluid. Cell loses at east to one particle which is a PP. 
%   There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromW) and #macro(CellToEIsFluid) and (
             (#macro(ApproachingPPFromEAtE) and #macro(FromEWinsOverWAtE) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)) or
             (#macro(ApproachingPPFromNAtE) and #macro(FromNWinsOverWAtE) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE)) or
             (#macro(ApproachingPPFromSAtE) and #macro(FromSWinsOverWAtE) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtE))) }
%
%   Cell is a Phosphorylated Synapsin from south. Cell to north is Fluid. Cell loses at north to three particles at least one of which is a PP. 
%   A PP moves into Fluid at north. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromS) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingPPFromEAtN) and #macro(FromEWinsOverNWSAtN) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtN) and #macro(ApproachingPhosphorylatedSynapsinFromWAtN) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverNWAtN)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromNAtN) and #macro(ApproachingBeatTwoFromWAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverNAtN)) or
                (#macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingPhosphorylatedSynapsinFromWAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverWAtN)) or
                (#macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)))) or
             (#macro(ApproachingPPFromNAtN) and #macro(FromNWinsOverEWSAtN) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtN) and #macro(ApproachingPhosphorylatedSynapsinFromWAtN) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverEWAtN)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverEAtN)) or
                (#macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingPhosphorylatedSynapsinFromWAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverWAtN)) or
                (#macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)))) or 
             (#macro(ApproachingPPFromWAtN) and #macro(FromWWinsOverENSAtN) and (
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtN) and #macro(ApproachingPhosphorylatedSynapsinFromNAtN) and
                 #macro(PPDephosphorylatesOneOfThreePhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverENAtN)) or
                (#macro(ApproachingPhosphorylatedSynapsinFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverEAtN)) or
                (#macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingPhosphorylatedSynapsinFromNAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverNAtN)) or
                (#macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN))))) }
%
%   Cell is a Phosphorylated Synapsin from south. Cell to north is Fluid. Cell loses at north to two particles at least one of which is a PP. 
%   A PP moves into Fluid at north. There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromS) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingPPFromEAtN) and (
                (#macro(FromEWinsOverNSAtN) and #macro(ApproachingPhosphorylatedSynapsinFromNAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverNAtN)) or
                (#macro(FromEWinsOverNSAtN) and #macro(ApproachingBeatTwoFromNAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)) or
                (#macro(FromEWinsOverWSAtN) and #macro(ApproachingPhosphorylatedSynapsinFromWAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverWAtN)) or
                (#macro(FromEWinsOverWSAtN) and #macro(ApproachingBeatTwoFromWAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)))) or
             (#macro(ApproachingPPFromNAtN) and ( 
                (#macro(FromNWinsOverESAtN) and #macro(ApproachingPhosphorylatedSynapsinFromEAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverEAtN)) or
                (#macro(FromNWinsOverESAtN) and #macro(ApproachingBeatTwoFromEAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)) or
                (#macro(FromNWinsOverWSAtN) and #macro(ApproachingPhosphorylatedSynapsinFromWAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverWAtN)) or
                (#macro(FromNWinsOverWSAtN) and #macro(ApproachingBeatTwoFromWAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)))) or
             (#macro(ApproachingPPFromWAtN) and (
                (#macro(FromWWinsOverESAtN) and #macro(ApproachingPhosphorylatedSynapsinFromEAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverEAtN)) or
                (#macro(FromWWinsOverESAtN) and #macro(ApproachingBeatTwoFromEAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)) or
                (#macro(FromWWinsOverNSAtN) and #macro(ApproachingPhosphorylatedSynapsinFromNAtN) and
                 #macro(PPDephosphorylatesOneOfTwoPhosphorylatedSynapsinsAtN) and #macro(PhosphorylatedSynapsinToSChosenOverNAtN)) or
                (#macro(FromWWinsOverNSAtN) and #macro(ApproachingBeatTwoFromNAtN) and
                 #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN))))) }               
%
%   Cell is a Phosphorylated Synapsin from south. Cell to north is Fluid. Cell loses at north to one particle which is PP. 
%   There is a dephosphorylation.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsPhosphorylatedSynapsinFromS) and #macro(CellToNIsFluid) and (
             (#macro(ApproachingPPFromEAtN) and #macro(FromEWinsOverSAtN) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)) or
             (#macro(ApproachingPPFromNAtN) and #macro(FromNWinsOverSAtN) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN)) or
             (#macro(ApproachingPPFromWAtN) and #macro(FromWWinsOverSAtN) and 
              #macro(PPDephosphorylatesOneOfOnePhosphorylatedSynapsinAtN))) }
%
% Rules for an Autonomous to be activated by an Activated CaM when it loses right to advance. Step is even.
%
%   Cell is an Autonomous from east. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
          and #macro(FromNLosesToEWSAtS) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(AutonomousBindsToActivatedCaM) }
%
% Rules for a CaMKII to be activated by an Activated CaM when it loses right to advance. Step is even.
%
%   Cell is a CaMKII from east. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
          and #macro(FromNLosesToEWSAtS) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(CaMKIIBindsToActivatedCaM) }
%
% Rules for a Capped to dephosphorylate when it loses right to advance. Step is even.
%
%   Cell is a Capped from east. It dephosphorylates. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north. It dephosphorylates. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
          and #macro(FromNLosesToEWSAtS) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west. It dephosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south. It dephosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(CappedDephosphorylates) }
%
% Rules for a Trapped to dephosphorylate when it loses right to advance. Step is even.
%
%   Cell is a Trapped from east. It dephosphorylates. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north. It dephosphorylates. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
          and #macro(FromNLosesToEWSAtS) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west. It dephosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south. It dephosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(TrappedDephosphorylates) }
%
% Rules for an Autonomous to dephosphorylate when it loses right to advance. Step is even.
%
%   Cell is an Autonomous from east. It dephosphorylates. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from east. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from east. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north. It dephosphorylates. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
          and #macro(FromNLosesToEWSAtS) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west. It dephosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south. It dephosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south. It dephosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south. It dephosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(AutonomousDephosphorylates) }
%
% Rules for an Autonomous to autophosphorylate when it loses right to advance. Step is even.
%
%   Cell is an Autonomous from east. It autophosphorylates. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from east. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from east. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from east. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from east. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from east. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from east. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north. It autophosphorylates. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
          and #macro(FromNLosesToEWSAtS) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west. It autophosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south. It autophosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(AutonomousAutophosphorylates) }
%
% Rules for a Trapped to split when it loses right to advance. Step is even.
%
%   Cell is a Trapped from east. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
                           and #macro(FromNLosesToEWSAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(TrappedSplits) }
%
% Rules for a Bound to split when it loses right to advance. Step is even.
%
%   Cell is a Bound from east. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from north. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
                           and #macro(FromNLosesToEWSAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from north. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from north. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from west. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from west. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from west. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from south. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from south. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
%   Cell is a Bound from south. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) and #macro(BoundSplits) }
%
% Rules for a Bound to autophosphorylate when it loses right to advance. Step is even.
%
%   Cell is a Bound from east. It autophosphorylates. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)  
          and #macro(FromELosesToNWSAtW) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from east. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW)
                           and #macro(FromELosesToWSAtW) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from east. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToNSAtW) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from east. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToNWAtW) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from east. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) 
                           and #macro(FromELosesToNAtW) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from east. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromELosesToWAtW) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from east. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromELosesToSAtW) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north. It autophosphorylates. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)  
          and #macro(FromNLosesToEWSAtS) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS)
                           and #macro(FromNLosesToWSAtS) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToESAtS) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToEWAtS) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtS) 
                           and #macro(FromNLosesToEAtS) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNLosesToWAtS) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNLosesToSAtS) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west. It autophosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)  
          and #macro(FromWLosesToENSAtE) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE)
                           and #macro(FromWLosesToNSAtE) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToESAtE) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToENAtE) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtE) 
                           and #macro(FromWLosesToEAtE) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWLosesToNAtE) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWLosesToSAtE) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south. It autophosphorylates. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
          and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)  
          and #macro(FromSLosesToENWAtN) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN)
                           and #macro(FromSLosesToNWAtN) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToEWAtN) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south. It autophosphorylates. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToENAtN) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromEAtN) 
                           and #macro(FromSLosesToEAtN) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSLosesToNAtN) and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south. It autophosphorylates. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSLosesToWAtN) and #macro(BoundAutophosphorylates) }
%
% Rules for a BeatTwo particle.
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW) 
          and #macro(FromEWinsOverNWSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW) }
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromEWinsOverWSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(ApproachingBeatTwoFromSAtW) }
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) 
                           and #macro(FromEWinsOverNSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromSAtW) }
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) 
                           and #macro(FromEWinsOverNWAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(ApproachingBeatTwoFromWAtW) }
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) and #macro(FromEWinsOverNAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromNAtW) }
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) and #macro(FromEWinsOverWAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatTwoFromWAtW) }
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) and #macro(FromEWinsOverSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtW) }
%
%   Cell is a BeatTwo particle from east. Cell to west is Fluid. There are no other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsFluid) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNWinsOverEWSAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There are two other approaching particles to the Fluid, from the west and south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNWinsOverWSAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(ApproachingBeatTwoFromSAtS) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) 
                           and #macro(FromNWinsOverESAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromSAtS) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) 
                           and #macro(FromNWinsOverEWAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(ApproachingBeatTwoFromWAtS) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) and #macro(FromNWinsOverEAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtS) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) and #macro(FromNWinsOverWAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtS) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) and #macro(FromNWinsOverSAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtS) }
%
%   Cell is a BeatTwo particle from north. Cell to south is Fluid. There are no other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsFluid) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWWinsOverENSAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There are two other approaching particles to the Fluid, from the north and south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWWinsOverNSAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(ApproachingBeatTwoFromSAtE) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There are two other approaching particles to the Fluid, from the east and south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) 
                           and #macro(FromWWinsOverESAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromSAtE) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) 
                           and #macro(FromWWinsOverENAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(ApproachingBeatTwoFromNAtE) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) and #macro(FromWWinsOverEAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtE) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) and #macro(FromWWinsOverNAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtE) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There is one other approaching particle to the Fluid, from the south. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) and #macro(FromWWinsOverSAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatTwoFromSAtE) }
%
%   Cell is a BeatTwo particle from west. Cell to east is Fluid. There are no other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsFluid) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There are three other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSWinsOverENWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There are two other approaching particles to the Fluid, from the north and west. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSWinsOverNWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(ApproachingBeatTwoFromWAtN) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There are two other approaching particles to the Fluid, from the east and west. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) 
                           and #macro(FromSWinsOverEWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromWAtN) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There are two other approaching particles to the Fluid, from the east and north. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) 
                           and #macro(FromSWinsOverENAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(ApproachingBeatTwoFromNAtN) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There is one other approaching particle to the Fluid, from the east. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) and #macro(FromSWinsOverEAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromEAtN) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There is one other approaching particle to the Fluid, from the north. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) and #macro(FromSWinsOverNAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromNAtN) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There is one other approaching particle to the Fluid, from the west. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) and #macro(FromSWinsOverWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatTwoFromWAtN) }
%
%   Cell is a BeatTwo particle from south. Cell to north is Fluid. There are no other approaching particles to the Fluid. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsFluid) }
%
% Rules for an Activated CaM with a particle 'in front'. The Activated CaM binds to a CaMKII. Step is even.
%
%   Cell is an Activated CaM from east and there is a particle 'in front'. The Activated CaM binds to a CaMKII. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsActivatedCaMFromE) and #macro(CellToWIsNotFluid) and 
             (#macro(ActivatedCaMBindsToCaMKII) or #macro(ActivatedCaMBindsToAutonomous)) }
%
%   Cell is an Activated CaM from north and there is a particle 'in front'. The Activated CaM binds to a CaMKII. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsActivatedCaMFromN) and #macro(CellToSIsNotFluid) and 
             (#macro(ActivatedCaMBindsToCaMKII) or #macro(ActivatedCaMBindsToAutonomous)) }
%
%   Cell is an Activated CaM from west and there is a particle 'in front'. The Activated CaM binds to a CaMKII. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsActivatedCaMFromW) and #macro(CellToEIsNotFluid) and 
             (#macro(ActivatedCaMBindsToCaMKII) or #macro(ActivatedCaMBindsToAutonomous)) }
%
%   Cell is an Activated CaM from south and there is a particle 'in front'. The Activated CaM binds to a CaMKII. Step is even.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsActivatedCaMFromS) and #macro(CellToNIsNotFluid) and 
             (#macro(ActivatedCaMBindsToCaMKII) or #macro(ActivatedCaMBindsToAutonomous)) }
%
% Rules for an Autonomous with a particle 'in front'. The Autonomous binds to an Activated CaM. Step is even.
%
%   Cell is an Autonomous from east and there is a particle 'in front'. The Autonomous binds to an Activated CaM. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) 
                                          and #macro(CellToWIsNotFluid) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from north and there is a particle 'in front'. The Autonomous binds to an Activated CaM. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) 
                                          and #macro(CellToSIsNotFluid) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from west and there is a particle 'in front'. The Autonomous binds to an Activated CaM. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) 
                                          and #macro(CellToEIsNotFluid) and #macro(AutonomousBindsToActivatedCaM) }
%
%   Cell is an Autonomous from south and there is a particle 'in front'. The Autonomous binds to an Activated CaM. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) 
                                          and #macro(CellToNIsNotFluid) and #macro(AutonomousBindsToActivatedCaM) }
%
% Rules for a CaMKII with a particle 'in front'. The CaMKII binds to an Activated CaM. Step is even.
%
%   Cell is a CaMKII from east and there is a particle 'in front'. The CaMKII binds to an Activated CaM. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromE) 
                                          and #macro(CellToWIsNotFluid) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from north and there is a particle 'in front'. The CaMKII binds to an Activated CaM. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromN) 
                                          and #macro(CellToSIsNotFluid) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from west and there is a particle 'in front'. The CaMKII binds to an Activated CaM. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromW) 
                                          and #macro(CellToEIsNotFluid) and #macro(CaMKIIBindsToActivatedCaM) }
%
%   Cell is a CaMKII from south and there is a particle 'in front'. The CaMKII binds to an Activated CaM. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsCaMKIIFromS) 
                                          and #macro(CellToNIsNotFluid) and #macro(CaMKIIBindsToActivatedCaM) }
%
% Rules for a Trapped with a particle 'in front'. The Trapped splits. Step is even.
%
%   Cell is a Trapped from east and there is a particle 'in front'. The Trapped splits. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) 
                                          and #macro(CellToWIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(TrappedSplits) }
%
%   Cell is a Trapped from north and there is a particle 'in front'. The Trapped splits. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) 
                                          and #macro(CellToSIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(TrappedSplits) }
%
%   Cell is a Trapped from west and there is a particle 'in front'. The Trapped splits. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) 
                                          and #macro(CellToEIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(TrappedSplits) }
%
%   Cell is a Trapped from south and there is a particle 'in front'. The Trapped splits. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) 
                                          and #macro(CellToNIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(TrappedSplits) }
%
% Rules for a Bound with a particle 'in front'. The Activated CaMKII splits. Step is even.
%
%   Cell is a Bound from east and there is a particle 'in front'. The Activated CaMKII splits. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) 
                                          and #macro(CellToWIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(BoundSplits) }
%
%   Cell is a Bound from north and there is a particle 'in front'. The Activated CaMKII splits. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) 
                                          and #macro(CellToSIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(BoundSplits) }
%
%   Cell is a Bound from west and there is a particle 'in front'. The Activated CaMKII splits. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) 
                                          and #macro(CellToEIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(BoundSplits) }
%
%   Cell is a Bound from south and there is a particle 'in front'. The Activated CaMKII splits. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) 
                                          and #macro(CellToNIsNotFluid) and #macro(CellAboveIsFluid) and #macro(CellAboveWillBeFree) 
                                          and #macro(BoundSplits) }
%
% Rules for a Capped with a particle 'in front'. The Capped dephosphorylates. Step is even.
%
%   Cell is a Capped from east and there is a particle 'in front'. The Capped dephosphorylates. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) 
                                          and #macro(CellToWIsNotFluid) 
                                          and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from north and there is a particle 'in front'. The Capped dephosphorylates. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) 
                                          and #macro(CellToSIsNotFluid)
                                          and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from west and there is a particle 'in front'. The Capped dephosphorylates. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) 
                                          and #macro(CellToEIsNotFluid)
                                          and #macro(CappedDephosphorylates) }
%
%   Cell is a Capped from south and there is a particle 'in front'. The Capped dephosphorylates. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) 
                                          and #macro(CellToNIsNotFluid)
                                          and #macro(CappedDephosphorylates) }
%
% Rules for a Trapped with a particle 'in front'. The Trapped dephosphorylates. Step is even.
%
%   Cell is a Trapped from east and there is a particle 'in front'. The Trapped dephosphorylates. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromE) 
                                          and #macro(CellToWIsNotFluid) 
                                          and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from north and there is a particle 'in front'. The Trapped dephosphorylates. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromN) 
                                          and #macro(CellToSIsNotFluid)
                                          and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from west and there is a particle 'in front'. The Trapped dephosphorylates. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromW) 
                                          and #macro(CellToEIsNotFluid)
                                          and #macro(TrappedDephosphorylates) }
%
%   Cell is a Trapped from south and there is a particle 'in front'. The Trapped dephosphorylates. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsTrappedFromS) 
                                          and #macro(CellToNIsNotFluid)
                                          and #macro(TrappedDephosphorylates) }
%
% Rules for an Autonomous with a particle 'in front'. The Autonomous dephosphorylates. Step is even.
%
%   Cell is an Autonomous from east and there is a particle 'in front'. The Autonomous dephosphorylates. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) 
                                          and #macro(CellToWIsNotFluid) 
                                          and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from north and there is a particle 'in front'. The Autonomous dephosphorylates. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) 
                                          and #macro(CellToSIsNotFluid)
                                          and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from west and there is a particle 'in front'. The Autonomous dephosphorylates. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) 
                                          and #macro(CellToEIsNotFluid)
                                          and #macro(AutonomousDephosphorylates) }
%
%   Cell is an Autonomous from south and there is a particle 'in front'. The Autonomous dephosphorylates. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) 
                                          and #macro(CellToNIsNotFluid)
                                          and #macro(AutonomousDephosphorylates) }
%
% Rules for an Autonomous with a particle 'in front'. The Autonomous autophosphorylates. Step is even.
%
%   Cell is an Autonomous from east and there is a particle 'in front'. The Autonomous autophosphorylates. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromE) 
                                          and #macro(CellToWIsNotFluid) 
                                          and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from north and there is a particle 'in front'. The Autonomous autophosphorylates. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromN) 
                                          and #macro(CellToSIsNotFluid)
                                          and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from west and there is a particle 'in front'. The Autonomous autophosphorylates. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromW) 
                                          and #macro(CellToEIsNotFluid)
                                          and #macro(AutonomousAutophosphorylates) }
%
%   Cell is an Autonomous from south and there is a particle 'in front'. The Autonomous autophosphorylates. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsAutonomousFromS) 
                                          and #macro(CellToNIsNotFluid)
                                          and #macro(AutonomousAutophosphorylates) }
%
% Rules for a Bound with a particle 'in front'. The Activated CaMKII autophosphorylates. Step is even.
%
%   Cell is a Bound from east and there is a particle 'in front'. The Activated CaMKII autophosphorylates. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromE) 
                                          and #macro(CellToWIsNotFluid) 
                                          and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from north and there is a particle 'in front'. The Activated CaMKII autophosphorylates. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromN) 
                                          and #macro(CellToSIsNotFluid)
                                          and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from west and there is a particle 'in front'. The Activated CaMKII autophosphorylates. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromW) 
                                          and #macro(CellToEIsNotFluid)
                                          and #macro(BoundAutophosphorylates) }
%
%   Cell is a Bound from south and there is a particle 'in front'. The Activated CaMKII autophosphorylates. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBoundFromS) 
                                          and #macro(CellToNIsNotFluid)
                                          and #macro(BoundAutophosphorylates) }
%
% Rules for a BeatTwo particle with a particle 'in front'. Step is even.
%
%   Cell is a BeatTwo particle from east and there is a particle 'in front'. Step is even.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromE) and #macro(CellToWIsNotFluid) }
%
%   Cell is a BeatTwo particle from north and there is a particle 'in front'. Step is even.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromN) and #macro(CellToSIsNotFluid) }
%
%   Cell is a BeatTwo particle from west and there is a particle 'in front'. Step is even.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromW) and #macro(CellToEIsNotFluid) }
%
%   Cell is a BeatTwo particle from south and there is a particle 'in front'. Step is even.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsBeatTwoFromS) and #macro(CellToNIsNotFluid) }
%
% Rule for BeatTwo particle during odd steps.
%
rule : { (0,0,0) } 10 { #macro(CellIsBeatTwo) }
%
% Rules for a Fluid when a Phosphorylated Synapsin is approaching and at least one PP is approaching. Step is even.
%
%   Cell is Fluid. East is an approaching Phosphorylated Synapsin. There are three other approaching particles at least one of which is a PP. 
%   East wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromE) and #macro(FromEWinsOverNWS) and (
              (#macro(ApproachingPPFromN)    and #macro(ApproachingPPFromW)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfThreePPs)) or 
              (#macro(ApproachingPPFromN)    and #macro(ApproachingPPFromW)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
              (#macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
              (#macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromW)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
              (#macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
              (#macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromW)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
              (#macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))) }
%
%   Cell is Fluid. East is an approaching Phosphorylated Synapsin. There are two other approaching particles at least one of which is a PP. 
%   East wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromE) and (
               (#macro(FromEWinsOverWS) and (
                 (#macro(ApproachingPPFromW)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromW)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromW) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP)))) or 
               (#macro(FromEWinsOverNS) and (
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP)))) or 
               (#macro(FromEWinsOverNW) and (
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromW) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))))) }
%
%   Cell is Fluid. East is an approaching Phosphorylated Synapsin. There is one other approaching particle and it is a PP.
%   East wins right to advance. The PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromE) and #macro(SynapsinDephosphorylatedByOneOfOnePP) and (
               (#macro(FromEWinsOverN) and #macro(ApproachingPPFromN)) or
               (#macro(FromEWinsOverW) and #macro(ApproachingPPFromW)) or
               (#macro(FromEWinsOverS) and #macro(ApproachingPPFromS))) }
%                         
%   Cell is Fluid. North is an approaching Phosphorylated Synapsin. There are three other approaching particles at least one of which is a PP. 
%   North wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromN) and #macro(FromNWinsOverEWS) and (
             (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromW)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfThreePPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromW)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromW)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromW)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))) }
%
%   Cell is Fluid. North is an approaching Phosphorylated Synapsin. There are two other approaching particles at least one of which is a PP. 
%   North wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromN) and (
               (#macro(FromNWinsOverWS) and (
                 (#macro(ApproachingPPFromW)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromW)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromW) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP)))) or 
               (#macro(FromNWinsOverES) and (
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP)))) or 
               (#macro(FromNWinsOverEW) and (
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromW) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))))) }
%
%   Cell is Fluid. North is an approaching Phosphorylated Synapsin. There is one other approaching particle and it is a PP.
%   North wins right to advance. The PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromN) and #macro(SynapsinDephosphorylatedByOneOfOnePP) and ( 
               (#macro(FromNWinsOverE) and #macro(ApproachingPPFromE)) or
               (#macro(FromNWinsOverW) and #macro(ApproachingPPFromW)) or
               (#macro(FromNWinsOverS) and #macro(ApproachingPPFromS))) }
%                         
%   Cell is Fluid. West is an approaching Phosphorylated Synapsin. There are three other approaching particles at least one of which is a PP. 
%   West wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromW) and #macro(FromWWinsOverENS) and (
             (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromN)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfThreePPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromN)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))) }
%
%   Cell is Fluid. West is an approaching Phosphorylated Synapsin. There are two other approaching particles at least one of which is a PP. 
%   West wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromW) and (
               (#macro(FromWWinsOverNS) and (
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP)))) or 
               (#macro(FromWWinsOverES) and (
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromS)    and #macro(SynapsinDephosphorylatedByOneOfOnePP)))) or 
               (#macro(FromWWinsOverEN) and (
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromN)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromN) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromN)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))))) }
%
%   Cell is Fluid. West is an approaching Phosphorylated Synapsin. There is one other approaching particle and it is a PP.
%   West wins right to advance. The PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromW) and #macro(SynapsinDephosphorylatedByOneOfOnePP) and (
               (#macro(FromWWinsOverE) and #macro(ApproachingPPFromE)) or
               (#macro(FromWWinsOverN) and #macro(ApproachingPPFromN)) or
               (#macro(FromWWinsOverS) and #macro(ApproachingPPFromS))) }
%                         
%   Cell is Fluid. South is an approaching Phosphorylated Synapsin. There are three other approaching particles at least one of which is a PP. 
%   South wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromS) and #macro(FromSWinsOverENW) and (
             (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromN)    and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfThreePPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromW) and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromN)    and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
             (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromW) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
             (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))) }
%
%   Cell is Fluid. South is an approaching Phosphorylated Synapsin. There are two other approaching particles at least one of which is a PP. 
%   South wins right to advance. A PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromS) and (
               (#macro(FromSWinsOverNW) and (
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromN)    and #macro(ApproachingBeatTwoFromW) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromN) and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))) ) or 
               (#macro(FromSWinsOverEW) and (
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromW) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromW)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))) ) or 
               (#macro(FromSWinsOverEN) and (
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingPPFromN)    and #macro(SynapsinDephosphorylatedByOneOfTwoPPs)) or 
                 (#macro(ApproachingPPFromE)    and #macro(ApproachingBeatTwoFromN) and #macro(SynapsinDephosphorylatedByOneOfOnePP)) or 
                 (#macro(ApproachingBeatTwoFromE) and #macro(ApproachingPPFromN)    and #macro(SynapsinDephosphorylatedByOneOfOnePP))))) }
%
%   Cell is Fluid. South is an approaching Phosphorylated Synapsin. There is one other approaching particle and it is a PP.
%   South wins right to advance. The PP dephosphorylates the Synapsin. Step is even.
%
rule : { 2210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingPhosphorylatedSynapsinFromS) and #macro(SynapsinDephosphorylatedByOneOfOnePP) and (
               (#macro(FromSWinsOverE) and #macro(ApproachingPPFromE)) or
               (#macro(FromSWinsOverN) and #macro(ApproachingPPFromN)) or
               (#macro(FromSWinsOverW) and #macro(ApproachingPPFromW))) }
%
% Rules for a Fluid when an Autonomous is approaching. The Autonomous is activated at its starting cell. Step is even.
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. There are three other approaching particles. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(AutonomousBindsToActivatedCaMAtE) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(AutonomousBindsToActivatedCaMAtN) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(AutonomousBindsToActivatedCaMAtW) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(AutonomousBindsToActivatedCaMAtS) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(AutonomousBindsToActivatedCaMAtN) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(AutonomousBindsToActivatedCaMAtW) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(AutonomousBindsToActivatedCaMAtS) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(AutonomousBindsToActivatedCaMAtE) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(AutonomousBindsToActivatedCaMAtW) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(AutonomousBindsToActivatedCaMAtS) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(AutonomousBindsToActivatedCaMAtE) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(AutonomousBindsToActivatedCaMAtN) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(AutonomousBindsToActivatedCaMAtS) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(AutonomousBindsToActivatedCaMAtE) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(AutonomousBindsToActivatedCaMAtN) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(AutonomousBindsToActivatedCaMAtW) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. West and south are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(AutonomousBindsToActivatedCaMAtW) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(AutonomousBindsToActivatedCaMAtS) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. North and south are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(AutonomousBindsToActivatedCaMAtN) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(AutonomousBindsToActivatedCaMAtS) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. North and west are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(AutonomousBindsToActivatedCaMAtN) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(AutonomousBindsToActivatedCaMAtW) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. East and south are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(AutonomousBindsToActivatedCaMAtE) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(AutonomousBindsToActivatedCaMAtS) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. East and west are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(AutonomousBindsToActivatedCaMAtE) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(AutonomousBindsToActivatedCaMAtW) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) }
%
%   Cell is Fluid. An Autonomous is approaching and it activates/advances. East and north are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(AutonomousBindsToActivatedCaMAtE) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(AutonomousBindsToActivatedCaMAtN) }
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) }
%
%   Cell is Fluid. An Autonomous is approaching from the east and it activates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(AutonomousBindsToActivatedCaMAtE) }
%
%   Cell is Fluid. An Autonomous is approaching from the north and it activates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN) 
                    and #macro(AutonomousBindsToActivatedCaMAtN) }
%
%   Cell is Fluid. An Autonomous is approaching from the west and it activates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(AutonomousBindsToActivatedCaMAtW) }
%
%   Cell is Fluid. An Autonomous is approaching from the south and it activates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(AutonomousBindsToActivatedCaMAtS) }
%
% Rules for a Fluid when a CaMKII is approaching. The CaMKII is activated at its starting cell. Step is even.
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. There are three other approaching particles. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(CaMKIIBindsToActivatedCaMAtE) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(CaMKIIBindsToActivatedCaMAtN) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(CaMKIIBindsToActivatedCaMAtW) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(CaMKIIBindsToActivatedCaMAtS) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(CaMKIIBindsToActivatedCaMAtN) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(CaMKIIBindsToActivatedCaMAtW) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(CaMKIIBindsToActivatedCaMAtS) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(CaMKIIBindsToActivatedCaMAtE) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(CaMKIIBindsToActivatedCaMAtW) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(CaMKIIBindsToActivatedCaMAtS) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(CaMKIIBindsToActivatedCaMAtE) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(CaMKIIBindsToActivatedCaMAtN) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(CaMKIIBindsToActivatedCaMAtS) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(CaMKIIBindsToActivatedCaMAtE) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(CaMKIIBindsToActivatedCaMAtN) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(CaMKIIBindsToActivatedCaMAtW) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. West and south are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(CaMKIIBindsToActivatedCaMAtW) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(CaMKIIBindsToActivatedCaMAtS) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. North and south are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(CaMKIIBindsToActivatedCaMAtN) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(CaMKIIBindsToActivatedCaMAtS) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. North and west are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(CaMKIIBindsToActivatedCaMAtN) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(CaMKIIBindsToActivatedCaMAtW) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. East and south are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(CaMKIIBindsToActivatedCaMAtE) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(CaMKIIBindsToActivatedCaMAtS) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. East and west are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(CaMKIIBindsToActivatedCaMAtE) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(CaMKIIBindsToActivatedCaMAtW) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) }
%
%   Cell is Fluid. A CaMKII is approaching and it activates/advances. East and north are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(CaMKIIBindsToActivatedCaMAtE) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(CaMKIIBindsToActivatedCaMAtN) }
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) }
%
%   Cell is Fluid. A CaMKII is approaching from the east and it activates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromE) 
                    and #macro(CaMKIIBindsToActivatedCaMAtE) }
%
%   Cell is Fluid. A CaMKII is approaching from the north and it activates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromN) 
                    and #macro(CaMKIIBindsToActivatedCaMAtN) }
%
%   Cell is Fluid. A CaMKII is approaching from the west and it activates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromW) 
                    and #macro(CaMKIIBindsToActivatedCaMAtW) }
%
%   Cell is Fluid. A CaMKII is approaching from the south and it activates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingCaMKIIFromS) 
                    and #macro(CaMKIIBindsToActivatedCaMAtS) }
%
% Rules for a Fluid when a Trapped is approaching. The Trapped splits. Step is even.
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. There are three other approaching particles. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(TrappedToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(TrappedToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(TrappedToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(TrappedToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(TrappedToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(TrappedToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(TrappedToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(TrappedToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(TrappedToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(TrappedToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(TrappedToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(TrappedToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(TrappedToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(TrappedToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(TrappedToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(TrappedToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. West and south are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(TrappedToWSplits) 
                    and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(TrappedToSSplits) 
                    and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. North and south are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(TrappedToNSplits) 
                    and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(TrappedToSSplits) 
                    and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. North and west are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(TrappedToNSplits) 
                    and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(TrappedToWSplits) 
                    and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. East and south are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(TrappedToESplits) 
                    and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(TrappedToSSplits) 
                    and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. East and west are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(TrappedToESplits) 
                    and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(TrappedToWSplits) 
                    and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching and it splits/advances. East and north are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(TrappedToESplits) 
                    and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(TrappedToNSplits) 
                    and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching from the east and it splits/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(TrappedToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching from the north and it splits/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN) 
                    and #macro(TrappedToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching from the west and it splits/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(TrappedToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Trapped is approaching from the south and it splits/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS) 
                    and #macro(TrappedToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
% Rules for a Fluid when a Bound is approaching. The Activated CaMKII splits. Step is even.
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. There are three other approaching particles. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(BoundToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(BoundToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(BoundToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(BoundToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(BoundToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(BoundToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(BoundToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(BoundToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(BoundToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(BoundToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(BoundToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(BoundToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(BoundToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(BoundToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(BoundToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(BoundToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. West and south are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(BoundToWSplits) 
                    and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(BoundToSSplits) 
                    and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. North and south are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(BoundToNSplits) 
                    and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(BoundToSSplits) 
                    and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. North and west are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(BoundToNSplits) 
                    and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(BoundToWSplits) 
                    and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. East and south are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(BoundToESplits) 
                    and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(BoundToSSplits) 
                    and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. East and west are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(BoundToESplits) 
                    and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(BoundToWSplits) 
                    and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching and it splits/advances. East and north are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(BoundToESplits) 
                    and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(BoundToNSplits) 
                    and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching from the east and it splits/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(BoundToESplits) and #macro(CellAboveToEIsFluid) and #macro(CellAboveToEWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching from the north and it splits/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN) 
                    and #macro(BoundToNSplits) and #macro(CellAboveToNIsFluid) and #macro(CellAboveToNWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching from the west and it splits/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(BoundToWSplits) and #macro(CellAboveToWIsFluid) and #macro(CellAboveToWWillBeFree) }
%
%   Cell is Fluid. A Bound is approaching from the south and it splits/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS) 
                    and #macro(BoundToSSplits) and #macro(CellAboveToSIsFluid) and #macro(CellAboveToSWillBeFree) }
%
% Rules for a Fluid when a Capped is approaching. The Autonomous dephosphorylates. Step is even.
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. There are three other approaching particles. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(CappedToEDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(CappedToNDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(CappedToWDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(CappedToSDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(CappedToNDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(CappedToWDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(CappedToSDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(CappedToEDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(CappedToWDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(CappedToSDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(CappedToEDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(CappedToNDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(CappedToSDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(CappedToEDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(CappedToNDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(CappedToWDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. West and south are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(CappedToWDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(CappedToSDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. North and south are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(CappedToNDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(CappedToSDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. North and west are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(CappedToNDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(CappedToWDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. East and south are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(CappedToEDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(CappedToSDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. East and west are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(CappedToEDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(CappedToWDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching and it dephosphorylates/advances. East and north are approaching. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(CappedToEDephosphorylates) }
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(CappedToNDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching from the east and it dephosphorylates/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(CappedToEDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching from the north and it dephosphorylates/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN) 
                    and #macro(CappedToNDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching from the west and it dephosphorylates/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(CappedToWDephosphorylates) }
%
%   Cell is Fluid. A Capped is approaching from the south and it dephosphorylates/advances. Step is even.
%
rule : { 4216 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(CappedToSDephosphorylates) }
%
% Rules for a Fluid when A Trapped is approaching. The Trapped dephosphorylates. Step is even.
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. There are three other approaching particles. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(TrappedToEDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(TrappedToNDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(TrappedToWDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(TrappedToSDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(TrappedToNDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(TrappedToWDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(TrappedToSDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(TrappedToEDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(TrappedToWDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(TrappedToSDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(TrappedToEDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(TrappedToNDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(TrappedToSDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(TrappedToEDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(TrappedToNDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(TrappedToWDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. West and south are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(TrappedToWDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(TrappedToSDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. North and south are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(TrappedToNDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(TrappedToSDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. North and west are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(TrappedToNDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(TrappedToWDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. East and south are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(TrappedToEDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(TrappedToSDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. East and west are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(TrappedToEDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(TrappedToWDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching and it dephosphorylates/advances. East and north are approaching. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(TrappedToEDephosphorylates) }
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(TrappedToNDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching from the east and it dephosphorylates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromE) 
                    and #macro(TrappedToEDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching from the north and it dephosphorylates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromN) 
                    and #macro(TrappedToNDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching from the west and it dephosphorylates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromW) 
                    and #macro(TrappedToWDephosphorylates) }
%
%   Cell is Fluid. A Trapped is approaching from the south and it dephosphorylates/advances. Step is even.
%
rule : { 4214 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingTrappedFromS) 
                    and #macro(TrappedToSDephosphorylates) }
%
% Rules for a Fluid when an Autonomous is approaching. The Autonomous dephosphorylates. Step is even.
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. There are three other approaching particles. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(AutonomousToEDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(AutonomousToNDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(AutonomousToWDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(AutonomousToSDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(AutonomousToNDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(AutonomousToWDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(AutonomousToSDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(AutonomousToEDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(AutonomousToWDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(AutonomousToSDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(AutonomousToEDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(AutonomousToNDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(AutonomousToSDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(AutonomousToEDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(AutonomousToNDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(AutonomousToWDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. West and south are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(AutonomousToWDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(AutonomousToSDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. North and south are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(AutonomousToNDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(AutonomousToSDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. North and west are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(AutonomousToNDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(AutonomousToWDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. East and south are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(AutonomousToEDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(AutonomousToSDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. East and west are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(AutonomousToEDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(AutonomousToWDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it dephosphorylates/advances. East and north are approaching. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(AutonomousToEDephosphorylates) }
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(AutonomousToNDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the east and it dephosphorylates/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(AutonomousToEDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the north and it dephosphorylates/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN) 
                    and #macro(AutonomousToNDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the west and it dephosphorylates/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(AutonomousToWDephosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the south and it dephosphorylates/advances. Step is even.
%
rule : { 4210 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(AutonomousToSDephosphorylates) }
%
% Rules for a Fluid when an Autonomous is approaching. The Autonomous autophosphorylates. Step is even.
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. There are three other approaching particles. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(AutonomousToEAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(AutonomousToNAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(AutonomousToWAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(AutonomousToSAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(AutonomousToNAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(AutonomousToWAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(AutonomousToSAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(AutonomousToEAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(AutonomousToWAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(AutonomousToSAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(AutonomousToEAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(AutonomousToNAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(AutonomousToSAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(AutonomousToEAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(AutonomousToNAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(AutonomousToWAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. West and south are approaching. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(AutonomousToWAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(AutonomousToSAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. North and south are approaching. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(AutonomousToNAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(AutonomousToSAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. North and west are approaching. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(AutonomousToNAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(AutonomousToWAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. East and south are approaching. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(AutonomousToEAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(AutonomousToSAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. East and west are approaching. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(AutonomousToEAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(AutonomousToWAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching and it autophosphorylates/advances. East and north are approaching. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(AutonomousToEAutophosphorylates) }
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(AutonomousToNAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the east and it autophosphorylates/advances. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromE) 
                    and #macro(AutonomousToEAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the north and it autophosphorylates/advances. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromN) 
                    and #macro(AutonomousToNAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the west and it autophosphorylates/advances. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromW) 
                    and #macro(AutonomousToWAutophosphorylates) }
%
%   Cell is Fluid. An Autonomous is approaching from the south and it autophosphorylates/advances. Step is even.
%
rule : { 4217 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingAutonomousFromS) 
                    and #macro(AutonomousToSAutophosphorylates) }
%
% Rules for a Fluid when a Bound is approaching. The Activated CaMKII autophosphorylates. Step is even.
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. There are three other approaching particles. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) and #macro(BoundToEAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) and #macro(BoundToNAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverENS) and #macro(BoundToWAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromSWinsOverENW) and #macro(BoundToSAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. There are two other approaching particles. East is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverWS) and #macro(BoundToNAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverNS) and #macro(BoundToWAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverNW) and #macro(BoundToSAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. There are two other approaching particles. North is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE)
                    and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverWS) and #macro(BoundToEAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromWWinsOverES) and #macro(BoundToWAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromSWinsOverEW) and #macro(BoundToSAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. There are two other approaching particles. West is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNS) and #macro(BoundToEAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverES) and #macro(BoundToNAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromSWinsOverEN) and #macro(BoundToSAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. There are two other approaching particles. South is not approaching. 
%   Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                    and #macro(FromEWinsOverNW) and #macro(BoundToEAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                    and #macro(FromNWinsOverEW) and #macro(BoundToNAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                    and #macro(FromWWinsOverEN) and #macro(BoundToWAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. West and south are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) and #macro(BoundToWAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) and #macro(BoundToSAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. North and south are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) and #macro(BoundToNAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) and #macro(BoundToSAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. North and west are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) and #macro(BoundToNAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) and #macro(BoundToWAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. East and south are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) and #macro(BoundToEAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) and #macro(BoundToSAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. East and west are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) and #macro(BoundToEAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) and #macro(BoundToWAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching and it autophosphorylates/advances. East and north are approaching. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) and #macro(BoundToEAutophosphorylates) }
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN)  
                    and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) and #macro(BoundToNAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching from the east and it autophosphorylates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromE) 
                    and #macro(BoundToEAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching from the north and it autophosphorylates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromN) 
                    and #macro(BoundToNAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching from the west and it autophosphorylates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromW) 
                    and #macro(BoundToWAutophosphorylates) }
%
%   Cell is Fluid. A Bound is approaching from the south and it autophosphorylates/advances. Step is even.
%
rule : { 4215 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBoundFromS) 
                    and #macro(BoundToSAutophosphorylates) }
%
% Rules for a Fluid when there are no Vesicles or Empty Vesicles approaching. Step is even.
%
%   Cell is Fluid. There are four approaching particles that are not Vesicles or Empty Vesicles. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE)
                    and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromEWinsOverNWS) }
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN)
                    and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                    and #macro(FromNWinsOverEWS) }
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(FromWWinsOverENS) }
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW)
                 and #macro(FromSWinsOverENW) }
%
%   Cell is Fluid. There are three approaching particles that are not Vesicles or Empty Vesicles. East is not approaching. Step is even.
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN)  
                 and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(FromNWinsOverWS) }
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW)
                 and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(FromWWinsOverNS) }
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS)  
                 and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(FromSWinsOverNW) }
%
%   Cell is Fluid. There are three approaching particles that are not Vesicles or Empty Vesicles. North is not approaching. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE)
                 and #macro(ApproachingBeatTwoFromW) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(FromEWinsOverWS) }
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(FromWWinsOverES) }
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS)  
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(FromSWinsOverEW) }
%
%   Cell is Fluid. There are three approaching particles that are not Vesicles or Empty Vesicles. West is not approaching. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE)
                 and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(FromEWinsOverNS) }
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN)  
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromS) 
                 and #macro(FromNWinsOverES) }
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS)  
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                 and #macro(FromSWinsOverEN) }
%
%   Cell is Fluid. There are three approaching particles that are not Vesicles or Empty Vesicles. South is not approaching. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE) 
                 and #macro(ApproachingBeatTwoFromN) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(FromEWinsOverNW) }
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN)  
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromW)
                 and #macro(FromNWinsOverEW) }
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(ApproachingBeatTwoFromE) and #macro(ApproachingBeatTwoFromN) 
                 and #macro(FromWWinsOverEN) }
%
%   Cell is Fluid. There are two approaching particles that are not Vesicles or Empty Vesicles, from the west and south. Step is even.
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(ApproachingBeatTwoFromS) and #macro(FromWWinsOverS) }
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS)  
                 and #macro(ApproachingBeatTwoFromW) and #macro(FromSWinsOverW) }
%
%   Cell is Fluid. There are two approaching particles that are not Vesicles or Empty Vesicles, from the north and south. Step is even.
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN)  
                 and #macro(ApproachingBeatTwoFromS) and #macro(FromNWinsOverS) }
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS)  
                 and #macro(ApproachingBeatTwoFromN) and #macro(FromSWinsOverN) }
%
%   Cell is Fluid. There are two approaching particles that are not Vesicles or Empty Vesicles, from the north and west. Step is even.
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN)  
                 and #macro(ApproachingBeatTwoFromW) and #macro(FromNWinsOverW) }
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(ApproachingBeatTwoFromN) and #macro(FromWWinsOverN) }
%
%   Cell is Fluid. There are two approaching particles that are not Vesicles or Empty Vesicles, from the east and south. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE) 
                 and #macro(ApproachingBeatTwoFromS) and #macro(FromEWinsOverS) }
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS)  
                 and #macro(ApproachingBeatTwoFromE) and #macro(FromSWinsOverE) }
%
%   Cell is Fluid. There are two approaching particles that are not Vesicles or Empty Vesicles, from the east and west. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE) 
                 and #macro(ApproachingBeatTwoFromW) and #macro(FromEWinsOverW) }
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW) 
                 and #macro(ApproachingBeatTwoFromE) and #macro(FromWWinsOverE) }
%
%   Cell is Fluid. There are two approaching particles that are not Vesicles or Empty Vesicles, from the east and north. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE) 
                 and #macro(ApproachingBeatTwoFromN) and #macro(FromEWinsOverN) }
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN)  
                 and #macro(ApproachingBeatTwoFromE) and #macro(FromNWinsOverE) }
%
%   Cell is Fluid. There is one approaching particle that is not a Vesicle or Empty Vesicle from the east. Step is even.
%
rule : { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromE) }
%
%   Cell is Fluid. There is one approaching particle that is not a Vesicle or Empty Vesicle from the north. Step is even.
%
rule : { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromN) }
%
%   Cell is Fluid. There is one approaching particle that is not a Vesicle or Empty Vesicle from the west. Step is even.
%
rule : { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromW) }
%
%   Cell is Fluid. There is one approaching particle that is not a Vesicle or Empty Vesicle from the south. Step is even.
%
rule : { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluid) and #macro(ApproachingBeatTwoFromS) }
%
%   Cell is Fluid. Nothing is approaching.
%
rule : 0 10 { #macro(CellIsFluid) }
%
% Rules for a CaM. Cell 'in front' is a particle. The CaM is activated.
%
%   Cell is a CaM from east and there is a particle 'in front'. The CaM is activated
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsCaMFromE) and #macro(CellToWIsNotFluid) and #macro(HighCalciumContent) }
%
%   Cell is a CaM from north and there is a particle 'in front'. The CaM is activated
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsCaMFromN) and #macro(CellToSIsNotFluid) and #macro(HighCalciumContent) }
%
%   Cell is a CaM from west and there is a particle 'in front'. The CaM is activated
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsCaMFromW) and #macro(CellToEIsNotFluid) and #macro(HighCalciumContent) }
%
%   Cell is a CaM from south and there is a particle 'in front'. The CaM is activated
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsCaMFromS) and #macro(CellToNIsNotFluid) and #macro(HighCalciumContent) }
%
% Rule for Fluid for layer one when a Bound splits. 
%
%   Cell is Fluid for layer one. A Bound splits.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(BoundBelowSplits) }
%
%   Cell is Fluid for layer one. A Trapped splits.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(TrappedBelowSplits) }
%
% Rules for Fluid for layer one with an approaching CaM that advances to the Fluid. The CaM can be activated. 
%
%   Cell is Fluid for layer one. There is a CaM approaching from the east and three other particles are approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromE) and 
              #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNWS) and #macro(HighCalciumContent) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the north and three other particles are approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromN) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverEWS) and #macro(HighCalciumContent) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the west and three other particles are approaching. The advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromW) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverENS) and #macro(HighCalciumContent) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the south and three other particles are approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromS) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverENW) and #macro(HighCalciumContent) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the east and two other particles are approaching. The CaM advances and is activated. 
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromE) and 
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromEWinsOverNW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNS)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverWS))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the east and two other particles are approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromN) and 
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromNWinsOverEW)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverES)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverWS))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the west and two other particles are approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromW) and 
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromWWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverES)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverNS))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the south and two other particles are approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromS) and 
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromSWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverEW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverNW))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the east and one other particle is approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromE) and 
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromN) and #macro(FromEWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromEWinsOverW)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromEWinsOverS))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the north and one other particle is approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromN) and
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromE) and #macro(FromNWinsOverE)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromNWinsOverW)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromNWinsOverS))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the west and one other particle is approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromW) and 
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromE) and #macro(FromWWinsOverE)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromWWinsOverN)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromWWinsOverS))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the south and one other particle is approaching. The CaM advances and is activated
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromS) and 
                                              #macro(HighCalciumContent) and (
             (#macro(ApproachingBeatOneFromE) and #macro(FromSWinsOverE)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromSWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromSWinsOverW))) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the east and no other particle is approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromE) and 
                                              #macro(HighCalciumContent) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the north and no other particle is approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromN) and 
                                              #macro(HighCalciumContent) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the west and no other particle is approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromW) and 
                                              #macro(HighCalciumContent) }
%
%   Cell is Fluid for layer one. There is a CaM approaching from the south and no other particle is approaching. The CaM advances and is activated.
%
rule : { 3114 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingCaMFromS) and 
                                              #macro(HighCalciumContent) }
%
% Rules for an Activated CaM. Cell 'in front' is a particle. The Activated CaM deactivates.
%
%   Cell is an Activated CaM from east and there is a particle 'in front'. The Activated CaM deactivates.
%
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsActivatedCaMFromE) and #macro(CellToWIsNotFluid) and #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is an Activated CaM from north and there is a particle 'in front'. The Activated CaM deactivates.
%
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsActivatedCaMFromN) and #macro(CellToSIsNotFluid) and #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is an Activated CaM from west and there is a particle 'in front'. The Activated CaM deactivates.
%
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsActivatedCaMFromW) and #macro(CellToEIsNotFluid) and #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is an Activated CaM from south and there is a particle 'in front'. The Activated CaM deactivates.
%
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsActivatedCaMFromS) and #macro(CellToNIsNotFluid) and #macro(LowCalciumContent) and random < 0.001 }
%
% Rules for Fluid for layer one with an approaching Activated CaM that advances to the Fluid. The Activated CaM can bind to a CaMKII or an Autonomous, or deactivates. 
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the east and three other particles are approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne)  and #macro(ApproachingActivatedCaMFromE) and 
              #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNWS) and (#macro(ActivatedCaMBindsToCaMKIIAtE) or #macro(ActivatedCaMBindsToAutonomousAtE)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromE) and 
              #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNWS) and #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the north and three other particles are approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne)  and #macro(ApproachingActivatedCaMFromN) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverEWS) and (#macro(ActivatedCaMBindsToCaMKIIAtN) or #macro(ActivatedCaMBindsToAutonomousAtN)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromN) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverEWS) and #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the west and three other particles are approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne)  and #macro(ApproachingActivatedCaMFromW) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverENS) and (#macro(ActivatedCaMBindsToCaMKIIAtW) or #macro(ActivatedCaMBindsToAutonomousAtW)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromW) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverENS) and #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the south and three other particles are approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne)  and #macro(ApproachingActivatedCaMFromS) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverENW) and (#macro(ActivatedCaMBindsToCaMKIIAtS) or #macro(ActivatedCaMBindsToAutonomousAtS)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromS) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverENW) and #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the east and two other particles are approaching.
%   The Activated CaM advances. 
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne)  and #macro(ApproachingActivatedCaMFromE) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtE) or #macro(ActivatedCaMBindsToAutonomousAtE)) and (
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromEWinsOverNW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNS)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverWS))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromE) and 
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromEWinsOverNW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNS)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverWS))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the east and two other particles are approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromN) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtN) or #macro(ActivatedCaMBindsToAutonomousAtN)) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromNWinsOverEW)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverES)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverWS))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromN) and 
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromNWinsOverEW)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverES)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverWS))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the west and two other particles are approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromW) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtW) or #macro(ActivatedCaMBindsToAutonomousAtW)) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromWWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverES)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverNS))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromW) and 
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromWWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverES)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverNS))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the south and two other particles are approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromS) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtS) or #macro(ActivatedCaMBindsToAutonomousAtS)) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromSWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverEW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverNW))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromS) and 
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromSWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverEW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverNW))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the east and one other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromE) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtE) or #macro(ActivatedCaMBindsToAutonomousAtE)) and (
             (#macro(ApproachingBeatOneFromN) and #macro(FromEWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromEWinsOverW)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromEWinsOverS))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromE) and 
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromN) and #macro(FromEWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromEWinsOverW)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromEWinsOverS))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the north and one other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromN) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtN) or #macro(ActivatedCaMBindsToAutonomousAtN)) and (
             (#macro(ApproachingBeatOneFromN) and #macro(FromNWinsOverE)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromNWinsOverW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromNWinsOverS))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromN) and
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromN) and #macro(FromNWinsOverE)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromNWinsOverW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromNWinsOverS))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the west and one other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromW) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtW) or #macro(ActivatedCaMBindsToAutonomousAtW)) and (
             (#macro(ApproachingBeatOneFromW) and #macro(FromWWinsOverE)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromWWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromWWinsOverS))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromW) and 
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromW) and #macro(FromWWinsOverE)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromWWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromWWinsOverS))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the south and one other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromS) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtS) or #macro(ActivatedCaMBindsToAutonomousAtS)) and (
             (#macro(ApproachingBeatOneFromS) and #macro(FromSWinsOverE)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromSWinsOverN)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromSWinsOverW))) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromS) and 
                                              #macro(LowCalciumContent) and random < 0.001 and (
             (#macro(ApproachingBeatOneFromS) and #macro(FromSWinsOverE)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromSWinsOverN)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromSWinsOverW))) }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the east and no other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne)  and #macro(ApproachingActivatedCaMFromE) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtE) or #macro(ActivatedCaMBindsToAutonomousAtE)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromE) and 
                                              #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the north and no other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromN) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtN) or #macro(ActivatedCaMBindsToAutonomousAtN)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromN) and 
                                              #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the west and no other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromW) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtW) or #macro(ActivatedCaMBindsToAutonomousAtW)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromW) and 
                                              #macro(LowCalciumContent) and random < 0.001 }
%
%   Cell is Fluid for layer one. There is an Activated CaM approaching from the south and no other particle is approaching.
%   The Activated CaM advances.
%
rule : 0 10 { #macro(StepDivisibleByTwo) and #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromS) and 
             (#macro(ActivatedCaMBindsToCaMKIIAtS) or #macro(ActivatedCaMBindsToAutonomousAtS)) }
rule : { 3110 + 10*trunc(uniform(0,4)) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingActivatedCaMFromS) and 
                                              #macro(LowCalciumContent) and random < 0.001 }
%
% Rules for a BeatOne particle. Cell 'in front' is Fluid. Rules for both winning and losing.
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There are three other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatOneFromNAtW) and #macro(ApproachingBeatOneFromWAtW) and #macro(ApproachingBeatOneFromSAtW) 
          and #macro(FromEWinsOverNWSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
          and #macro(ApproachingBeatOneFromNAtW) and #macro(ApproachingBeatOneFromWAtW) and #macro(ApproachingBeatOneFromSAtW) }
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the west and south.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtW) and #macro(ApproachingBeatOneFromSAtW) 
                           and #macro(FromEWinsOverWSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtW) and #macro(ApproachingBeatOneFromSAtW) }
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and south.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtW) and #macro(ApproachingBeatOneFromSAtW) 
                           and #macro(FromEWinsOverNSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtW) and #macro(ApproachingBeatOneFromSAtW) }
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There are two other approaching particles to the Fluid, from the north and west.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtW) and #macro(ApproachingBeatOneFromWAtW) 
                           and #macro(FromEWinsOverNWAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtW) and #macro(ApproachingBeatOneFromWAtW) }
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the north.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatOneFromNAtW) 
                           and #macro(FromEWinsOverNAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatOneFromNAtW) }
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the west.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatOneFromWAtW) 
                           and #macro(FromEWinsOverWAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid)
                           and #macro(ApproachingBeatOneFromWAtW) }
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There is one other approaching particle to the Fluid, from the south.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromSAtW) 
                           and #macro(FromEWinsOverSAtW) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) 
                           and #macro(ApproachingBeatOneFromSAtW) }
%
%   Cell is a BeatOne particle from east. Cell to west is Fluid. There are no other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsFluid) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There are three other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) and #macro(ApproachingBeatOneFromWAtS) and #macro(ApproachingBeatOneFromSAtS) 
                           and #macro(FromNWinsOverEWSAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) and #macro(ApproachingBeatOneFromWAtS) and #macro(ApproachingBeatOneFromSAtS) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There are two other approaching particles to the Fluid, from the west and south.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtS) and #macro(ApproachingBeatOneFromSAtS) 
                           and #macro(FromNWinsOverWSAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtS) and #macro(ApproachingBeatOneFromSAtS) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There are two other approaching particles to the Fluid, from the east and south.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) and #macro(ApproachingBeatOneFromSAtS) 
                           and #macro(FromNWinsOverESAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) and #macro(ApproachingBeatOneFromSAtS) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There are two other approaching particles to the Fluid, from the east and west.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) and #macro(ApproachingBeatOneFromWAtS) 
                           and #macro(FromNWinsOverEWAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) and #macro(ApproachingBeatOneFromWAtS) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There is one other approaching particle to the Fluid, from the east.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) 
                           and #macro(FromNWinsOverEAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtS) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There is one other approaching particle to the Fluid, from the west.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtS) 
                           and #macro(FromNWinsOverWAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtS) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There is one other approaching particle to the Fluid, from the south.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromSAtS) 
                           and #macro(FromNWinsOverSAtS) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) 
                           and #macro(ApproachingBeatOneFromSAtS) }
%
%   Cell is a BeatOne particle from north. Cell to south is Fluid. There are no other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsFluid) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There are three other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) and #macro(ApproachingBeatOneFromNAtE) and #macro(ApproachingBeatOneFromSAtE) 
                           and #macro(FromWWinsOverENSAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) and #macro(ApproachingBeatOneFromNAtE) and #macro(ApproachingBeatOneFromSAtE) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There are two other approaching particles to the Fluid, from the north and south.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtE) and #macro(ApproachingBeatOneFromSAtE) 
                           and #macro(FromWWinsOverNSAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtE) and #macro(ApproachingBeatOneFromSAtE) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There are two other approaching particles to the Fluid, from the east and south.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) and #macro(ApproachingBeatOneFromSAtE) 
                           and #macro(FromWWinsOverESAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) and #macro(ApproachingBeatOneFromSAtE) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There are two other approaching particles to the Fluid, from the east and north.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) and #macro(ApproachingBeatOneFromNAtE) 
                           and #macro(FromWWinsOverENAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) and #macro(ApproachingBeatOneFromNAtE) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There is one other approaching particle to the Fluid, from the east.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) 
                           and #macro(FromWWinsOverEAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtE) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There is one other approaching particle to the Fluid, from the north.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtE) 
                           and #macro(FromWWinsOverNAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtE) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There is one other approaching particle to the Fluid, from the south.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromSAtE) 
                           and #macro(FromWWinsOverSAtE) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) 
                           and #macro(ApproachingBeatOneFromSAtE) }
%
%   Cell is a BeatOne particle from west. Cell to east is Fluid. There are no other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsFluid) }
%
%   Cell is a BeatOne particle from south. Cell to north is Fluid. There are three other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) and #macro(ApproachingBeatOneFromNAtN) and #macro(ApproachingBeatOneFromWAtN) 
                           and #macro(FromSWinsOverENWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) and #macro(ApproachingBeatOneFromNAtN) and #macro(ApproachingBeatOneFromWAtN) }
%
%   Cell is a BeatOne particle from south. Cell to north is Fluid. There are two other approaching particles to the Fluid, from the north and west.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtN) and #macro(ApproachingBeatOneFromWAtN) 
                           and #macro(FromSWinsOverNWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtN) and #macro(ApproachingBeatOneFromWAtN) }
%
%   Cell is a BeatOne particle from south. Cell to north is Fluid. There are two other approaching particles to the Fluid, from the east and west.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) and #macro(ApproachingBeatOneFromWAtN) 
                           and #macro(FromSWinsOverEWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) and #macro(ApproachingBeatOneFromWAtN) }
%
%   Cell is a BeatOne particle from south. Cell to north is Fluid. There are two other approaching particles to the Fluid, from the east and north.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) and #macro(ApproachingBeatOneFromNAtN) 
                           and #macro(FromSWinsOverENAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) and #macro(ApproachingBeatOneFromNAtN) }
%
%   Cell is a BeatOne particle from south. Cell to north is Fluid. There is one other approaching particle to the Fluid, from the east.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) 
                           and #macro(FromSWinsOverEAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromEAtN) }
%
%   Cell is a BeatOne particle from south. Cell to north is Fluid. There is one other approaching particle to the Fluid, from the north.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtN) 
                           and #macro(FromSWinsOverNAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromNAtN) }
%
%   Cell is a BeatOne particle from south. Cell to north is Fluid. There is one other approaching particle to the Fluid, from the west.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtN) 
                           and #macro(FromSWinsOverWAtN) }
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) 
                           and #macro(ApproachingBeatOneFromWAtN) }
%
%   Cell is a BeatOne particle from south. Cell to east is Fluid. There are no other approaching particles to the Fluid.
%
rule : 0 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsFluid) }
%
% Rules for a BeatOne particle. Cell 'in front' is a particle.
%
%   Cell is a BeatOne particle from east and there is a particle 'in front'.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromE) and #macro(CellToWIsNotFluid) }
%
%   Cell is a BeatOne particle from north and there is a particle 'in front'.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromN) and #macro(CellToSIsNotFluid) }
%
%   Cell is a BeatOne particle from west and there is a particle 'in front'.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromW) and #macro(CellToEIsNotFluid) }
%
%   Cell is a BeatOne particle from south and there is a particle 'in front'.
%
rule : { 100*trunc((0,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,0,0),10) } 10 { #macro(CellIsBeatOneFromS) and #macro(CellToNIsNotFluid) }
%
% Rules for Fluid with an approaching BeatOne that advances to the Fluid. There are no reactions.
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the east and three other particles are approaching.
%
rule :  { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromE) and 
              #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNWS) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the north and three other particles are approaching.
%
rule :  { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromN) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverEWS) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the west and three other particles are approaching.
%
rule :  { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromW) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverENS) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the south and three other particles are approaching.
%
rule :  { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromS) and 
              #macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverENW) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the east and two other particles are approaching.
%
rule :  { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromE) and (
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromEWinsOverNW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverNS)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromEWinsOverWS))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the north and two other particles are approaching.
%
rule :  { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromN) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromNWinsOverEW)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverES)) or
             (#macro(ApproachingBeatOneFromW) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromNWinsOverWS))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the west and two other particles are approaching.
%
rule :  { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromW) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromWWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverES)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromS) and 
              #macro(FromWWinsOverNS))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the south and two other particles are approaching.
%
rule :  { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromS) and (
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromN) and 
              #macro(FromSWinsOverEN)) or
             (#macro(ApproachingBeatOneFromE) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverEW)) or
             (#macro(ApproachingBeatOneFromN) and #macro(ApproachingBeatOneFromW) and 
              #macro(FromSWinsOverNW))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the east and one other particle is approaching.
%
rule :  { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromE) and (
             (#macro(ApproachingBeatOneFromN) and #macro(FromEWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromEWinsOverW)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromEWinsOverS))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the north and one other particle is approaching.
%
rule :  { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromN) and (
             (#macro(ApproachingBeatOneFromE) and #macro(FromNWinsOverE)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromNWinsOverW)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromNWinsOverS))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the west and one other particle is approaching.
%
rule :  { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromW) and (
             (#macro(ApproachingBeatOneFromE) and #macro(FromWWinsOverE)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromWWinsOverN)) or
             (#macro(ApproachingBeatOneFromS) and #macro(FromWWinsOverS))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the south and one other particle is approaching.
%
rule :  { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromS) and (
             (#macro(ApproachingBeatOneFromE) and #macro(FromSWinsOverE)) or
             (#macro(ApproachingBeatOneFromN) and #macro(FromSWinsOverN)) or
             (#macro(ApproachingBeatOneFromW) and #macro(FromSWinsOverW))) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the east.
%
rule :  { 100*trunc((0,1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromE) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the north.
%
rule :  { 100*trunc((-1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((-1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromN) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the west.
%
rule :  { 100*trunc((0,-1,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((0,-1,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromW) }
%
%   Cell is Fluid for layer one. There is a BeatOne approaching from the south.
%
rule :  { 100*trunc((1,0,0)/100) + 10 + 10*trunc(uniform(0,4)) + remainder((1,0,0),10) } 10 { #macro(CellIsFluidForLayerOne) and #macro(ApproachingBeatOneFromS) }
%
%   Cell is Fluid for layer one. Nothing is approaching.
%
rule : 0 10 { #macro(CellIsFluidForLayerOne) }
rule : { random } 10 { cellPos(2) > 2 }
rule : { -1 } 10 { t }